<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่งขัน</a>
      </div>
      <p class="pps-header_th">
        วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่ง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="validate === true">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button type="button" class="btn btn-primary sandwork" (click)="sandwork()">
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert"
    [ngStyle]="{ display: RequestStepTwo.saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<!-- ============================================================================================================ -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-two [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-two>

        <div *ngIf="validate == true">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                .jpg,.png" />
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="row">
            <div class="col-12 table_files">
              <table mat-table [dataSource]="dataSource_file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ element.fileName }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
            </div>
          </div>
        </div>

      </div>
      <!-- --------------------------------------------------------------------------------------------------------- -->
    </div>
  </div>

  <div *ngFor="let present of listSummaryStep3;let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <!-- ----------------------------------------- ตลาดในภาพรวมและแนวโน้ม -------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">ตลาดในภาพรวมและแนวโน้ม</p>
            </div>
            <div
              style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดตลาดในภาพรวมและแนวโน้ม"
                style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepTwo.marktingText"
                disabled></textarea>
              <div style="height: auto;position:relative;background-color:#e9ecef;">
                <div class="col-12">
                  <div>
                    <div class="input_upload" style="color: #999999;min-height:130px">
                      <hr style="margin: 0px;" />
                      {{ image1.length }} ไฟล์ภาพที่แนบมา

                      <div class="image_row">
                        <div class="row image_col" style="  padding-left: 15px;
                  padding-bottom: 15px;">
                          <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                            <div class="unnon_image">
                              <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>
          <br />

          <!-- ----------------------------------------- คู่แข่ง (ผลิตภัณฑ์และ Pricing) -------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">คู่แข่ง (ผลิตภัณฑ์และ Pricing)</p>
            </div>
            <div
              style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดคู่แข่ง (ผลิตภัณฑ์และ Pricing)"
                style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepTwo.competitorText"
                disabled></textarea>
              <div style="height: auto;position:relative;background-color:#e9ecef;">
                <div class="col-12">
                  <div>
                    <div class="input_upload" style="color: #999999;min-height:130px">
                      <hr style="margin: 0px;" />
                      {{ image2.length }} ไฟล์ภาพที่แนบมา

                      <div class="image_row">
                        <div class="row image_col" style="  padding-left: 15px;
                  padding-bottom: 15px;">
                          <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                            <div class="unnon_image">
                              <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>
          <br />

          <!-- ----------------------------------------- ผลิตภัณฑ์ของธนาคาร (ผลิตภัณฑ์ใกล้เคียง) -------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">ผลิตภัณฑ์ของธนาคาร (ผลิตภัณฑ์ใกล้เคียง)</p>
            </div>
            <div
              style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดผลิตภัณฑ์ของธนาคาร"
                style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepTwo.similarText"
                disabled></textarea>
              <div style="height: auto;position:relative;background-color:#e9ecef;">
                <div class="col-12">
                  <div>
                    <div class="input_upload" style="color: #999999;min-height:130px">
                      <hr style="margin: 0px;" />
                      {{ image3.length }} ไฟล์ภาพที่แนบมา

                      <div class="image_row">
                        <div class="row image_col" style="  padding-left: 15px;
                  padding-bottom: 15px;">
                          <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                            <div class="unnon_image">
                              <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>
          <br />

          <!-- ----------------------------------------- ผลิตภัณฑ์ทดแทน -------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">ผลิตภัณฑ์ทดแทน</p>
            </div>
            <div
              style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดผลิตภัณฑ์ทดแทน" style="min-height:130px;background-color:#e9ecef;border:0;"
                [(ngModel)]="stepTwo.compensateText" disabled></textarea>
              <div style="height: auto;position:relative;background-color:#e9ecef;">
                <div class="col-12">
                  <div>
                    <div class="input_upload" style="color: #999999;min-height:130px">
                      <hr style="margin: 0px;" />
                      {{ image4.length }} ไฟล์ภาพที่แนบมา

                      <div class="image_row">
                        <div class="row image_col" style="  padding-left: 15px;
                  padding-bottom: 15px;">
                          <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                            <div class="unnon_image">
                              <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>
          <br />

          <!-- ----------------------------------------- ความต้องการของกลุ่มเป้าหมาย -------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">ความต้องการของกลุ่มเป้าหมาย</p>
            </div>
            <div
              style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดความต้องการของกลุ่มเป้าหมาย"
                style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepTwo.targetText"
                disabled></textarea>
              <div style="height: auto;position:relative;background-color:#e9ecef;">
                <div class="col-12">
                  <div>
                    <div class="input_upload" style="color: #999999;min-height:130px">
                      <hr style="margin: 0px;" />
                      {{ image5.length }} ไฟล์ภาพที่แนบมา

                      <div class="image_row">
                        <div class="row image_col" style="  padding-left: 15px;
                  padding-bottom: 15px;">
                          <div class="unnon_image_out" *ngFor="let item of image5; index as i">
                            <div class="unnon_image">
                              <img [src]="image5[i]" class="photo" (click)="image_click(5, i)" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>
          <br />

          <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
          <div>
            <div class="typeofcollateral">
              <label style="
            color: #999999;
            font-family: Prompt;
            font-size: 18px;
            font-weight: 500;
            letter-spacing: 0;
            line-height: 28px;
          ">ไฟล์เอกสารเพิ่มเติม</label>
            </div>
            <div class="row">
              <div class="col-12 table_files">
                <table mat-table [dataSource]="dataSource_file_download">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ element.fileName }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="download">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" (click)="
                      downloadFile(element.path)
                    ">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file_download"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file_download"></tr>
                </table>
              </div>
            </div>


          </div>

        </div>
      </div>
    </div>
  </div>
</div>

<!-- ===================================== next page=================================================== -->
<div *ngIf="validate === true">
  <br />
  <br />
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step_summary()">
        ถัดไป
      </button>
    </div>
  </div>
  <br />
</div>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModalSummaryStep3" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" [ngClass]="{
                    'modal-image-gallery': i !== modalmainImageIndex,
                    'modal-image-gallery-select': i === modalmainImageIndex
                  }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<!-- <div id="myModal" class="modal">
          <span class="close cursor" (click)="closeModal()"
            ><img src="../../../../../assets/img/close-modal.png"
          /></span>
          <div style="justify-content: center;">
            <div class="modal-content" *ngIf="showModel">
              <img
                src="{{ modalImage[modalmainImageIndex] }}"
               
                class="modal-image"
              />
            </div>
            <br />
            <div>
              <div class="d-flex modal-image-detail" *ngIf="showModel">
                <div *ngFor="let item of modalImage; index as i">
                  <img
                    src="{{ modalImage[i] }}"
                 
                    [ngClass]="{
                      'modal-image-gallery': i !== modalmainImageIndex,
                      'modal-image-gallery-select': i === modalmainImageIndex
                    }"
                    (click)="modalmainImageIndex = i"
                  />
                </div>
              </div>
            </div>
          </div>
        </div> -->

<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->
<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>